Subject: Compilation (Comint) is consistently killed when run with default directory /sudo::root
From: akater <[email-masked]>
To: [email-masked]
Date: Sun, 03 May 2020 07:48:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using Emacs 28.0.50 (build 1, x86_64-pc-linux-uclibc) of 2020-05-03.

Compilation processes started with #'compile are killed after some time
when default-directory is let-bound to /sudo::/

Example:

emacs -Q

(require 'tramp)
(require 'compile)
(let ((default-directory "/sudo::/")) (compile "sleep 300"))

This started to happen between January 1 and April 30 (most likely
between March 1 and April 15 but I can't be completely sure).  I'm
calling such code regularly; it is used by ebuild-mode package in the
main Gentoo repository.

(compile "sudo ..") works fine.